--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Update every Resource in the 1:m Collection
- !ruby/struct:SM::Flow::P 
  body: "@param [Hash] attributes"
- !ruby/struct:SM::Flow::VERB 
  body: "  attributes to update with\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [Boolean]"
- !ruby/struct:SM::Flow::VERB 
  body: "  true if the resources were successfully updated\n"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Associations::OneToMany::Collection#update
is_singleton: false
name: update
params: (*)
visibility: public
